/* eslint-disable no-unused-vars */
/* eslint-disable no-useless-concat */

// =============================
// PART 1
// =============================
// RESOURCES
// https://developer.mozilla.org/en-US/docs/Web/CSS/named-color
// https://developer.mozilla.org/en-US/docs/Web/CSS/filter-function/invert
// https://developer.mozilla.org/en-US/docs/Web/CSS/filter-function

function invert() {
  let element = document.getElementById("part1");
  element.style.filter = "invert(1)";
  element.style.color = "invert(1)";
}

function reset() {
  let element = document.getElementById("part1");
  element.style.backgroundColor = "white";
  element.style.filter = "invert(0)";
  element.style.color = "invert(0)";
}

// Part 1: Add Code Here!
function changeBackground() {
  let element = document.getElementById("part1");
  element.style.backgroundColor = "lavenderblush";
  element.style.filter = "invert(0)";
  element.style.color = "black";
}

// =============================
// PART 2
// =============================
// RESOURCES
// https://developer.mozilla.org/en-US/docs/Web/API/Event/preventDefault
// https://developer.mozilla.org/en-US/docs/Web/API/HTMLElement/style

function updateBackgroundColor(event) {
  event.preventDefault();
  let newColor = document.getElementById("color_backgroung_input").value;
  document.getElementById("part2").style.backgroundColor = newColor;
}

// Part 2: Add Code Here!
function updateTextColor(event) {
  event.preventDefault();
  let newColor = document.getElementById("color_text_input").value;
  document.getElementById("part2").style.color = newColor;
}

// =============================
// PART 3
// =============================
function updateRadioChoice() {
  let form = document.getElementById("part3-form");
  let choice = form.elements.color_choice.value;
  document.getElementById("part3").style.backgroundColor = choice;
}

// =============================
// PART 4
// =============================
function updateDropdownChoice() {
  let form = document.getElementById("part4-form");
  let choice = form.elements.dropdown.value;
  document.getElementById("part4").style.backgroundColor = choice;
}

// =============================
// PART 5
// =============================
// RESOURCES
// https://developer.mozilla.org/en-US/docs/Web/API/Event/preventDefault
// https://developer.mozilla.org/en-US/docs/Web/API/Window/alert
// https://developer.mozilla.org/en-us/docs/Web/JavaScript/Reference/Global_Objects/String/length

function alertGreeting(event) {
  event.preventDefault();

  let firstName = document.getElementById("firstName").value;
  let lastName = document.getElementById("lastName").value;

  if (firstName.length === 0 || lastName.length === 0) {
    alert("Input Fields Cannot Be Blank");
  } else {
    // Part 5: Add Code Here!
    // alert("Hello, " + firstName + " " + lastName);
    alert(
      "Hello, " +
        firstName +
        " " +
        "Contains" +
        " " +
        firstName.length +
        " " +
        " Letters" +
        " " +
        "and" +
        " " +
        lastName +
        " " +
        "Contains" +
        " " +
        lastName.length +
        " " +
        " Letters" +
        "."
    );
  }
}

// =============================
// PART 6
// =============================
// RESOURCES
// https://developer.mozilla.org/en-US/docs/Web/CSS/color_value/rgb

function updateRGB() {
  // Part 6: Add Code Here!
  let form = document.getElementById("part6-form");
  let r = form.elements.red.value;
  let g = form.elements.green.value;
  let b = form.elements.blue.value;
  // let rgb = "rgb(" + r + "," + g + "," + b + "," + "1.0" + ")";
  let a = form.elements.alpha.value;
  let rgb = "rgb(" + r + "," + g + "," + b + "," + a + ")";
  document.getElementById("part6").style.backgroundColor = rgb;
}
