/* eslint-disable no-unused-vars */
/* eslint-disable no-useless-concat */

const g =
  "https://docs-assets.developer.apple.com/published/218def98e6/267c8fd4-12a4-4fbb-89ef-ed88d909b9f1.png";
const pg =
  "https://docs-assets.developer.apple.com/published/f44edd2a0a/9a2a66de-b42e-447b-8894-89182d4b0b08.png";
const pg13 =
  "https://docs-assets.developer.apple.com/published/8cab854be4/c9b697bd-27a2-4b98-8330-38842529f91a.png";
const nc17 =
  "https://docs-assets.developer.apple.com/published/66836a12ac/d8e30ec4-21ce-41fc-a97c-f7067b49da4a.png";
const r =
  "https://docs-assets.developer.apple.com/published/f3448319da/9d1c255f-eae3-42a1-a557-dbf5f33eaaa1.png";
const unrated =
  "https://docs-assets.developer.apple.com/published/522c8ab8e3/a34a2e4f-be16-4d5f-b5fd-9922473c771b.png";

function displayResults(data) {
  let title = data.Title;
  let year = data.Year;
  let genre = data.Genre;
  let director = data.Director;
  let stars = data.Actors;
  let time = data.Runtime;
  let boxOffice = data.BoxOffice;
  let rating = data.Rated;

  let ratingImageURL = unrated;

  document.getElementById("resultTitle").innerHTML = title;
  document.getElementById("resultYear").innerHTML = year;
  document.getElementById("resultGenre").innerHTML = genre;
  document.getElementById("resultDirector").innerHTML = director;
  document.getElementById("resultStars").innerHTML = stars;
  document.getElementById("resultTime").innerHTML = time;
  document.getElementById("resultBoxOffice").innerHTML = boxOffice;
  document.getElementById("resultRating").innerHTML = rating;

  switch (rating) {
    case "G":
      ratingImageURL = g;
      break;
    case "PG":
      ratingImageURL = pg;
      break;
    case "PG-13":
      ratingImageURL = pg13;
      break;
    case "NC-17":
      ratingImageURL = nc17;
      break;
    case "R":
      ratingImageURL = r;
      break;
    default:
      ratingImageURL = unrated;
  }

  document.getElementById("ratingImg").src = ratingImageURL;
  document.getElementById("ratingImg").alt = rating;
}

const searchDatabase = (event) => {
  event.preventDefault();

  let url = "https://www.omdbapi.com/?apikey=94677657";
  let title = document.getElementById("movieTitle").value;
  let year = document.getElementById("movieYear").value;

  url = url + "&t=" + title + "&y=" + year;

  fetch(url)
    .then((response) => {
      return response.json();
    })
    .then((response) => {
      document.getElementById("raw").innerHTML = JSON.stringify(
        response,
        null,
        2
      );

      displayResults(response);
    });

  document.getElementById("output").style.display = "block";
};
