/* eslint-disable no-unused-vars */

const rottenURL =
  "https://www.rottentomatoes.com/assets/pizza-pie/images/icons/tomatometer/tomatometer-rotten.f1ef4f02ce3.svg";
const freshURL =
  "https://www.rottentomatoes.com/assets/pizza-pie/images/icons/tomatometer/tomatometer-fresh.149b5e8adc3.svg";
const defaultURL =
  "https://www.rottentomatoes.com/assets/pizza-pie/images/icons/audience/aud_score-fresh.6c24d79faaf.svg";

const analyze = (data) => {
  let movieTitle = data.Title;
  document.getElementById("title").innerHTML = movieTitle;

  document.getElementById("rottenIcon").src = defaultURL;
  document.getElementById("rating").innerHTML = "";

  let ratings = data.Ratings;

  return ratings.forEach((rating) => {
    if (rating.Source === "Rotten Tomatoes") {
      let theRating = rating.Value;

      if (theRating > "50%") {
        document.getElementById("rottenIcon").src = freshURL;
      } else {
        document.getElementById("rottenIcon").src = rottenURL;
      }
      return (document.getElementById("rating").innerHTML = theRating);
    }
  });
};

const searchDatabase = (event) => {
  event.preventDefault();

  let url = "https://www.omdbapi.com/?apikey=94677657";
  let title = document.getElementById("movieTitle").value;

  url = url + "&t=" + title;

  fetch(url)
    .then((response) => {
      return response.json();
    })
    .then((response) => {
      document.getElementById("raw").innerHTML = JSON.stringify(
        response,
        null,
        2
      );

      analyze(response);
    });
};
