/* eslint-disable no-unused-vars */

// =============================
// PART 1
// =============================
let courses = [
  {
    subject: "BIOL",
    num: 355,
    title: "Evolution"
  },
  {
    subject: "EOS",
    num: 427,
    title: "Geophysics"
  },
  {
    subject: "MATH",
    num: 451,
    title: "Probability"
  },
  {
    subject: "PHIL",
    num: 371,
    title: "Logic"
  },
  {
    subject: "MATH",
    num: 200,
    title: "Calculus"
  }
];

// =============================
// PART 2
// =============================
function addCourse() {
  /* fix so that newCourse is course object with the */
  /* same format as the example courses provided */
  /* for you above in the courses array */
  let newCourse = {
    subject: "TS",
    num: 400,
    title: "Technologies of the Future"
  };

  /* newCourse should now be a valid course object */
  /* I made the function 'addToArray' below that */
  /* automatically add the course you create in */
  /* this function to the table displaying all of */
  /* the courses (that you worked on in Part 1) */
  addToArray(newCourse);
}

// =============================
// PART 3
// =============================
function addNewCourse() {
  /* fix so that newCourse is a course created based on */
  /* the values entered into the input boxes in the HTML */
  let newCourse = "fix me - this isn't a course object";

  /* newCourse should now be a valid course object */
  addToArray(newCourse);
}

// =============================
// PART 4a
// =============================
function listAllCourses() {
  let courseList = "Courses: ";

  /* create a for-loop here to visit each item in the array */
  /* add the course subject and number to the courses variable */
  /* the line below is an example of the syntax used to add */
  /* course information to the courses variable. Erase the */
  /* line below and add only courses found in the courses array */
  //courseList += "CSC 130 ";

  courses.forEach((course) => {
    courseList += course.subject + course.num + " ";
  });

  /* and then updates the HTML with this information */
  let element = document.getElementById("allCourses");
  element.innerHTML = courseList;
}

// =============================
// PART 4b
// =============================
function listAllSeniorLevelCourses() {
  let seniorCourseList = "Senior Level Courses: ";

  /* add a for-loop here to visit each item in the array */
  /* but only information about fourth-year courses should */
  /* be added to the end of the seniorCourseList variable */

  let element = document.getElementById("allSeniorCourses");
  element.innerHTML = seniorCourseList;
}

// =============================
// PART 4c
// =============================
function listAllMathCourses() {
  let mathCourseList = "Math Courses: ";

  /* add a for-loop here to visit each item in the array */
  /* but only information about mathematics courses should */
  /* be added to the end of the mathCourseList variable */

  let element = document.getElementById("allMathCourses");
  element.innerHTML = mathCourseList;
}

// =============================
// HELPER
// =============================
function addToArray(newCourse) {
  if (newCourse.subject.length > 1) {
    newCourse.subject = newCourse.subject.toUpperCase();
    courses.push(newCourse);
    let newRow = '<tr id="part3">';
    newRow += "<td>" + newCourse.subject + "</td>";
    newRow += "<td>" + newCourse.num + "</td>";
    newRow += "<td>" + newCourse.title + "</td></tr>";
    document.getElementById("courseTable").innerHTML += newRow;
  } else {
    alert("Invalid Course Entered");
  }
}
